org.bouncycastle.ocsp

## Class RespData

- java.lang.Object
- - org.bouncycastle.ocsp.RespData

All Implemented Interfaces:
  java.security.cert.X509Extension

    public class RespData
    extends java.lang.Object
    implements java.security.cert.X509Extension

### Constructor Summary

Constructors
Constructor and Description
`RespData(ResponseData data)`

### Method Summary

Methods
`java.util.Set` `getCriticalExtensionOIDs()`
`byte[]` `getExtensionValue(java.lang.String oid)`
`java.util.Set` `getNonCriticalExtensionOIDs()`
`java.util.Date` `getProducedAt()`
`RespID` `getResponderId()`
`X509Extensions` `getResponseExtensions()`
`SingleResp[]` `getResponses()`
`int` `getVersion()`
`boolean` `hasUnsupportedCriticalExtension()` RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RespData

    public RespData(ResponseData data)

### Method Detail

#### getVersion

    public int getVersion()

#### getResponderId

    public RespID getResponderId()

#### getProducedAt

    public java.util.Date getProducedAt()

#### getResponses

    public SingleResp[] getResponses()

#### getResponseExtensions

    public X509Extensions getResponseExtensions()

#### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

Specified by:
  `hasUnsupportedCriticalExtension` in interface `java.security.cert.X509Extension`
Returns:
  true if any critical extensions are present.

#### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

Specified by:
  `getCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

#### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

Specified by:
  `getNonCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

#### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

Specified by:
  `getExtensionValue` in interface `java.security.cert.X509Extension`